function ret_val = usbDeviceFind(serial)
  % usbDeviceFind
  %   Discover usb camera with the given serial
  %
  % Inputs:
  %   serial - string - Serial of the camera to find
  %
  % Output:
  %   ret_val - UsbDevice - A USB device
  %

  ret_val = tof.mex('tof_usb_device_find', serial);
  ret_val = tof.UsbDevice(ret_val);
end

